package com.zswl.cloud.springBatch.client.service;

import cn.hutool.json.JSONObject;
import com.github.microservice.auth.client.content.ResultContent;
import com.zswl.cloud.springBatch.client.model.qiuxiang.OrderDelitResponse;
import com.zswl.cloud.springBatch.client.model.qiuxiang.OrderRequest;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

@FeignClient(name = "springbatchservice/manager/qiuxiang")
public interface QiuXiangService {


    @ApiOperation("创建订单")
    @RequestMapping(value = "placeOrder", method = RequestMethod.POST, consumes = MediaType.APPLICATION_JSON_VALUE)
    ResultContent<JSONObject> placeOrder(@RequestBody OrderRequest orderRequest);

    @ApiOperation("订单详情")
    @RequestMapping(value = "orderDelit", method = RequestMethod.POST, consumes = MediaType.APPLICATION_JSON_VALUE)
    ResultContent<OrderDelitResponse> orderDelit(String orderId);
}
